PWD := $(shell pwd)

proxy: *.go
	GOOS=linux GOARCH=amd64 go build -gcflags=all=-trimpath=$(PWD) -asmflags=all=-trimpath=$(PWD) -ldflags=-extldflags=-zrelro -ldflags=-extldflags=-znow -ldflags=-extldflags=-static -ldflags='-w -s'

proxy.deb: proxy gitlab-zfs.conf
	mkdir -p pkg/{opt/gitlab-zfs,etc/modprobe.d}
	cp proxy pkg/opt/gitlab-zfs
	cp gitlab-zfs.conf pkg/etc/modprobe.d
	fpm -s dir -t deb -v 1.0.0-1 -n gitlab-zfs-proxy -a amd64 -C ./pkg -f .

.PHONY: clean
clean:
	rm -rf proxy pkg *.deb
